vars:
  # Default values for configuration of a STARTX cluster
  # see values.yaml for explanation on each params
  context: &context
    scope: "{[% lookup('vars', 'sx_cluster_config_scope') | default('myscope') %]}"
    cluster: "{[% lookup('vars', 'sx_cluster_config_name') | default('mycluster') %]}"
    environment: "{[% lookup('vars', 'sx_cluster_config_environment') | default('myenv') %]}"
    version: "{[% lookup('vars', 'sx_cluster_config_version') | default('0.0.1') %]}"
    component: metering
    app: startx-metering
  metering:
    enabled: false
    hooked: false
    reportingOperator:
      enabled: true
      resources: |
        limits:
          cpu: 1
          memory: 500Mi
        requests:
          cpu: 500m
          memory: 100Mi
    presto:
      enabled: true
      coordinator:
        resources: |
          limits:
            cpu: 4
            memory: 4Gi
          requests:
            cpu: 2
            memory: 2Gi
      worker:
        resources: |
          limits:
            cpu: 8
            memory: 8Gi
          requests:
            cpu: 4
            memory: 2Gi
    hive:
      enabled: true
      size: 5Gi
      storageClass: startx-ocs-fs-delete
      server:
        resources: |
          limits:
            cpu: 1
            memory: 1Gi
          requests:
            cpu: 500m
            memory: 500Mi
      metastore:
        resources: |
          limits:
            cpu: 4
            memory: 2Gi
          requests:
            cpu: 500m
            memory: 650Mi
    reports:
      enabled: true
      list: 
      - name: namespace-cpu-usage-hourly
        spec: |
          query: "namespace-cpu-usage"
          schedule:
            period: "hourly"
            hourly:
              minute: 3
              second: 3
      - name: namespace-memory-usage-hourly
        spec: |
          query: "namespace-memory-usage"
          schedule:
            period: "hourly"
            hourly:
              minute: 2
              second: 2

  # Configuration of the project (see https://startxfr.github.io/helm-repository/charts/project)
  project: 
    enabled: true
    context: 
      <<: *context
    project: 
      enabled: true
      hooked: false
      type: namespace
      name: "openshift-metering"
      display_name: "Startx METERING"
      requester: startx
      description: Openshift Metering configured by STARTX
    rbac: 
      enabled: true
      groups: 
      - id: devops-view
        name: devops
        role: view
      - id: ops-admin
        name: ops
        role: admin
    networkpolicy: 
      enabled: false
    limits: 
      enabled: false
    quotas: 
      enabled: false

  # Configuration of the operator (see https://startxfr.github.io/helm-repository/charts/operator)
  operator:
    enabled: false
    context: 
      <<: *context
    subscription:
      enabled: true
      hooked: false
      name: "metering-ocp"
      namespace: "openshift-metering"
      version: "4.8.0-202111041632"
      operator: 
        channel: "4.8"
        name: metering-ocp
        installPlanApproval: Automatic
        # csv: metering-operator
        source: 
          name: redhat-operators
          namespace: openshift-marketplace
    operatorGroup:
      enabled: true
      hooked: false
      name: "openshift-metering"
      namespace: "openshift-metering"
      providedAPIs: "HiveTable.v1.metering.openshift.io,MeteringConfig.v1.metering.openshift.io,PrestoTable.v1.metering.openshift.io,Report.v1.metering.openshift.io,ReportDataSource.v1.metering.openshift.io,ReportQuery.v1.metering.openshift.io,StorageLocation.v1.metering.openshift.io"
